/************ Include *********************/
#include "MPC5604B.h"
#include "IntcInterrupts.h"
#include "config.h"
#include "SBC.h"
#include "Mode_manager.h"
#include "Comodo.h"
#include "Driver_phare.h"
#include "MPC5604B_LED.h"
#include "BCM_appli.h"
#include "LCM_appli.h"



/*************** Private function prototype **********/
void scheduler_BCM(void);
void scheduler_LCM(void);



//************** Public function *************/

int main(void) {
  volatile int i = 0;
  disableWatchdog();
  initModesAndClock();
  initPIT1() ;
  config_PORT_E();
  
#ifdef BCM
  Init_button();
#endif
  
#ifdef LCM
  MC33983_DRV_init_0();
#endif
  
  enableIrq( ) ;
  INTC_InstallINTCInterruptHandler(PIT1_Interrupt,60,2);	/* Set PIT1 interrupt handler*/
  
  //diodes etteintes pour test de consommation
//  SIU.PCR[68].R = 0x0000;
//  SIU.PCR[69].R = 0x0000;
//  SIU.PCR[70].R = 0x0000;
//  SIU.PCR[71].R = 0x0000;
  
  
  //allumage des diodes en fonction du mode
  /*
  if (ME.GS.B.S_CURRENTMODE == 4){
	  SIU.PCR[68].R = 0x0200;
	  SIU.PCR[69].R = 0x0000;
	  SIU.PCR[70].R = 0x0000;
	  SIU.PCR[71].R = 0x0000;
  }
  if (ME.GS.B.S_CURRENTMODE == 5){
	  SIU.PCR[68].R = 0x0000;
	  SIU.PCR[69].R = 0x0200;
	  SIU.PCR[70].R = 0x0000;
	  SIU.PCR[71].R = 0x0000;
  }
   if (ME.GS.B.S_CURRENTMODE == 6){
	  SIU.PCR[68].R = 0x0000;
	  SIU.PCR[69].R = 0x0000;
	  SIU.PCR[70].R = 0x0200;
	  SIU.PCR[71].R = 0x0000;
  }
  */
  /*
  Reset_Led1();
  Reset_Led2();
  Reset_Led3();
  Reset_Led4();
  */
  
  /* Loop forever */
  for (;;) {
	  
	  if (!Read_button_1()){
		  GoModeRUN0();	  
	  }
	  
	  if (!Read_button_2()){
	  	  //GoModeRUN2();
	   	  GoModeSTOP();
	   	  initModesAndClock();
	   	  initPIT1() ;
	   	  config_PORT_E();
	   	  
	   	  
	  }

	  
	    //ReceiveMsg(); // polling for receive message but should change with intterupt
	    //initModesAndClock();
  }
}




/* PIT 1 timer ISR		*/
void PIT1_Interrupt(void) 
{
	static uint8_t cpt_LED=0;
	
	//Clear PIT1 flag
	
	PIT.CH[1].TFLG.B.TIF = 1;
	
	if (cpt_LED>=0){
		Invert_Led1();
		cpt_LED=0;
	}
	else{
		cpt_LED++;
	}
	
	// application
	#ifdef BCM
			//scheduler_BCM();
	#endif
			
	#ifdef LCM
			//scheduler_LCM();
	#endif
				
}




 
	
	
	




